curl --request GET \
--url https://api.bigdata.com/contents/v1/documents/{content_id}/annotated \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.bigdata.com/contents/v1/documents/{content_id}/annotated"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.bigdata.com/contents/v1/documents/{content_id}/annotated', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bigdata.com/contents/v1/documents/{content_id}/annotated",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bigdata.com/contents/v1/documents/{content_id}/annotated"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bigdata.com/contents/v1/documents/{content_id}/annotated")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bigdata.com/contents/v1/documents/{content_id}/annotated")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"url": "https://content.bigdata.com/classified-documents/E0618D0E9D3A960C1731A620EDE56B5C.json?Expires=1770304237&Signature=abc123...&Key-Pair-Id=K34UQS1JQ2RLGM"
}Get annotated document
Returns a time-limited pre-signed URL to download private document content in annotated (structured) JSON format. Use this only for documents you ingested via the Content API (connectors or direct upload). When you GET the URL, the response contains document content, metadata and annotations. The URL expires after 24 hours; request a new one if needed.
curl --request GET \
--url https://api.bigdata.com/contents/v1/documents/{content_id}/annotated \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.bigdata.com/contents/v1/documents/{content_id}/annotated"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.bigdata.com/contents/v1/documents/{content_id}/annotated', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bigdata.com/contents/v1/documents/{content_id}/annotated",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bigdata.com/contents/v1/documents/{content_id}/annotated"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bigdata.com/contents/v1/documents/{content_id}/annotated")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bigdata.com/contents/v1/documents/{content_id}/annotated")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"url": "https://content.bigdata.com/classified-documents/E0618D0E9D3A960C1731A620EDE56B5C.json?Expires=1770304237&Signature=abc123...&Key-Pair-Id=K34UQS1JQ2RLGM"
}Authorizations
Path Parameters
Response
The endpoint returns an object containing a pre-signed url. Perform a GET request on that URL to retrieve the annotated document in JSON format. The URL is valid for 24 hours; request a new one if needed.
Pre-signed URL that provides temporary access to the annotated document in JSON format. When you access the URL, you receive the complete document with structure: document (metadata), content (title and body blocks), profiling (processor timestamps), and analytics (document-level metrics, events array, entities array).
"https://content.bigdata.com/classified-documents/E0618D0E9D3A960C1731A620EDE56B5C.json?Expires=1770304237&Signature=abc123...&Key-Pair-Id=K34UQS1JQ2RLGM"
Was this page helpful?